Bug 1274309 - KDE isn't starting, showing only cursor on 32bit virtualized CPU (qemu32)
KDE isn't starting, showing only cursor on 32bit virtualized CPU (qemu32)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 09:15 EDT by Jan Sedlák
Modified: 2016-12-20 10:06 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:06:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from journal (168.38 KB, text/x-vhdl)
2015-10-22 09:15 EDT, Jan Sedlák
no flags Details
Xorg log (19.98 KB, text/plain)
2015-10-22 09:15 EDT, Jan Sedlák
no flags Details
Video from test (313.75 KB, application/octet-stream)
2015-10-22 09:16 EDT, Jan Sedlák
no flags Details

  None (edit)
Description Jan Sedlák 2015-10-22 09:15:09 EDT
Created attachment 1085500 [details]
output from journal

Description of problem:
If I try to run 32bit Fedora 23 RC2 KDE Live in virtual machine, it doesn't get to KDE loading screen. Screen stays black with only cursor shown. kmigration tool flashes briefly.

Version-Release number of selected component (if applicable):
plasma-workspace-5.4.2-4.fc23.i686

Steps to Reproduce:
1. Configure virt-manager to use 32bit CPU (I have used qemu32)
2. Try to boot 32bit Fedora 23 RC2 KDE Live

Actual results:
Only cursor is shown with black screen.

Expected results:
KDE should boot.

Additional info:
I don't have any non-64bit machine, so I am unable to test it on bare metal.
Comment 1 Jan Sedlák 2015-10-22 09:15 EDT
Created attachment 1085501 [details]
Xorg log
Comment 2 Jan Sedlák 2015-10-22 09:16 EDT
Created attachment 1085502 [details]
Video from test
Comment 3 Jan Sedlák 2015-10-22 09:54:44 EDT
I have tried to reproduce this on bare metal (with Pentium 4 32bit CPU) and while I hit a lot of other problems (starting of login service failed), I couldn't reproduce this particular bug, so this may be problem only with qemu32 CPU.
Comment 4 Adam Williamson 2015-10-22 12:07:05 EDT
could you also test GNOME on your P4? With qemu32 it's broken also (shows the 'Oh no!' screen on boot), but I don't know if that affects any real hardware. I'm generally -1 to stuff that only affects qemu32, it's a fairly artificial scenario.
Comment 5 Adam Williamson 2015-10-22 13:11:53 EDT
Discussed at 2015-10-22 Go/No-Go meeting, acting as a blocker review meeting: https://meetbot-raw.fedoraproject.org/fedora-meeting-2/2015-10-22/f23-final-go_no_go-meeting.2015-10-22-16.00.log.txt . So far we haven't been able to reproduce this (or the similar GNOME bug) on any real 32-bit hardware, even with 'nomodeset' to try and force use of llvmpipe; so long as it's restricted to qemu32 it's a fairly artificial scenario, so it's rejected as a blocker. We may re-consider this if we manage to find a real-world case that's affected by the bug.
Comment 6 Jan Sedlák 2015-10-26 08:56:47 EDT
I've tested GNOME Live on P4 and it works, so only problem is with `qemu32` CPU. I think that we could close this (as qemu32 is obscure by itself), but we should find what CPU to virtualize to test pure 32bit CPU.
Comment 7 Adam Williamson 2015-10-26 11:41:02 EDT
I'm not sure we really can get a great 32-bit virt test environment :/
Comment 8 Fedora End Of Life 2016-11-24 07:52:19 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 10:06:13 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.